Status: Closed Start date: 25 Jan 2018

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 0.77 hour

Target version: CoCoA-5.4.0 Spent time: 0.65 hour

Description

CoCoA-5 has both ConcatList and ConcatLists.  They are identical.

We should keep just one.

2021-01 Decided for ConcatLists

History

#1 - 25 Jan 2018 17:12 - John Abbott

In the current version (5.2.2) the fn ConcatList is built-in, while ConcatLists is defined in list.cpkg5 and simply calls ConcatList.

CoCoA-4.7 has a fn called ConcatLists.  So choosing to keep ConcatLists and discard ConcatList would be backward compatible.

Note that there are other fns whose names end in List: namely ConcatHorList, ConcatVerList and IntersectionList.

It would not be too hard to rename ConcatHorList to ConcatHor (and ConcatVerList to ConcatVer).  This creates no ambiguity since the existing

ConcatHor function expects 2 args rather than 1.

#2 - 25 Jan 2018 17:19 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

The reason why the builtin function is called ...List is that this is the naming convention for functions operating on a list (instead of being n-ary):

ConcatHorList, IntersectionList, ...

The fact that concat operates on lists (instead of matrices or ideals) just causes the confusion.

In essence, ConcatList is the "good name", and ConcatLists is just for backward compatibility:

should it be obsolescent?

#3 - 25 Jan 2018 17:32 - John Abbott

- Description updated

Personally I find the name ConcatLists more "natural" because it concatenates many lists.

The fns ConcatVerList and ConcatHorList are used just once in the packages for the fn BlockMat  (in mat.cpkg5).  I find it hard to believe that they are

useful to anyone...
#4 - 26 Jul 2018 13:58 - John Abbott

- Target version changed from CoCoA-5.2.4 to CoCoA-5.3.0

#5 - 01 Oct 2019 14:40 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#6 - 22 Jan 2021 10:49 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 10 to 90

- Estimated time set to 2.00 h

John Abbott wrote:

Personally I find the name ConcatLists more "natural" because it concatenates many lists.

 

OK, you convinced me.

#7 - 29 Jan 2021 12:26 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 2.00 h to 0.77 h
